# generate-normal-traffic

Normal traffic generator for DVWA vulnerable site. 

**Environment variables**
The environment variables are set in env.list file. 

- URL: Url where at the DVWA is listening 
- USERNAME: Username to enter to the website 
- PASSWORD: Password for the usewr 
- LEVEL: Security level 
- RUNS: Aprox amount of requests 
- LOGIN_LOGOUT: Times that user will login to make the requests 

**Run server to make the requests**
1. Run DVWA server without WAF
```bash 
	docker run -d -p 8081:80 --volume data:/var/log/apache2/ aracloud/docker-dvwa
```
2. Run DVWA server with WAF
```bash 
	docker run -d -p 80:80 mikaelapisani/dvwa-modsecurity
```

**Run in virtualenv** 
   
Edit env.list variable: URL=http://127.0.0.1:8081   

```bash 
	virtualenv venv 
	source venv/bin/activate
	pip install requests
	cp env.list .env 
	venv/bin/python run_generator.py
```

**Test script**
```bash 
	virtualenv venv 
	source venv/bin/activate
	venv/bin/python test_generator.py
```


**Build docker image**
```bash 
	docker build -t generate-dvwa-normal-traffic . 
```

**Run with docker** 
Docker image is available at mikaelapisani/generate-dvwa-normal-traffic:latest 

```bash 
	docker run -d --env-file env.list mikaelapisani/generate-dvwa-normal-traffic:latest 
```


Logs will be available at the vulnerable site at /var/log/apache2/


Error while processing request  Failed to parse: http://127.0.0.1:8081vulnerabilities/sqli_blind/

