#!/bin/bash

export resourceGroupName='ai-research'
export storageAccountName=$1
export shareName=$2

export storageAccountKey=$(az storage account keys list --resource-group $resourceGroupName --account-name $storageAccountName --query "[0].value" | tr -d '"')


az storage share create \
    --account-name $storageAccountName \
    --account-key $storageAccountKey \
    --name $shareName \
    --quota 5120 

